io.agora.rtc

## Enum Constants.ThreadPriorityType

- java.lang.Object
- - java.lang.Enum<Constants.ThreadPriorityType>
  - - io.agora.rtc.Constants.ThreadPriorityType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.ThreadPriorityType>
  Enclosing class:
    Constants

      public static enum Constants.ThreadPriorityType
      extends java.lang.Enum<Constants.ThreadPriorityType>

  Thread priority type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRITICAL` 5.
    `HIGH` 3: High priority.
    `HIGHEST` 4.
    `LOW` 1: Low priority.
    `LOWEST` 0: Lowest priority.
    `NORMAL` 2: Normal priority.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the thread priority type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.ThreadPriorityType type)` Gets the integer value of the thread priority type.
    `static Constants.ThreadPriorityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.ThreadPriorityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOWEST

          public static final Constants.ThreadPriorityType LOWEST

      0: Lowest priority.

    - #### LOW

          public static final Constants.ThreadPriorityType LOW

      1: Low priority.

    - #### NORMAL

          public static final Constants.ThreadPriorityType NORMAL

      2: Normal priority.

    - #### HIGH

          public static final Constants.ThreadPriorityType HIGH

      3: High priority.

    - #### HIGHEST

          public static final Constants.ThreadPriorityType HIGHEST

      4. Highest priority.

    - #### CRITICAL

          public static final Constants.ThreadPriorityType CRITICAL

      5. Critical priority.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the thread priority type

  - ### Method Detail

    - #### values

          public static Constants.ThreadPriorityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.ThreadPriorityType c : Constants.ThreadPriorityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.ThreadPriorityType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.ThreadPriorityType type)

      Gets the integer value of the thread priority type.
      Parameters:
        `type` - Thread priority type
      Returns:
        The integer value